Bug 175426 - Review Request: tkcon - Tcl console shell
Review Request: tkcon - Tcl console shell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-09 21:21 EST by Wart
Modified: 2008-07-23 11:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-29 12:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
suggested changes for the spec file (1.77 KB, patch)
2005-12-26 12:17 EST, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Wart 2005-12-09 21:21:32 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/tkcon.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tkcon-2.4-1.src.rpm
MD5SUMs: http://www.kobold.org/~wart/fedora/MD5SUM.asc

Description: 
tkcon is a replacement for the standard console that comes with Tk
(on Windows/Mac, but also works on Unix). The console itself provides
many more features than the standard console. tkcon works on all platforms
where Tcl/Tk is available. It is meant primarily to aid one when working
with the little details inside tcl and tk, giving Unix users the GUI
console provided by default in the Mac and Windows Tk.

This should be a pretty quick and easy review as the package has nothing to build and only a single file to install aside from documentation.
Comment 1 Dmitry Butskoy 2005-12-26 12:16:07 EST
- IMO Group should be "Development/Tools"
- Description can sound more clean (see tha patch)
- %docs: all docs/*.txt are unneeded, include some files from the root dir,
especially index.html  (which refers to docs/ subdir, therefore we should
preserve this layout).
- strip '\r' from the eol in release.txt


Comment 2 Dmitry Butskoy 2005-12-26 12:17:03 EST
Created attachment 122585 [details]
suggested changes for the spec file
Comment 3 Wart 2005-12-28 19:43:13 EST
Suggested changes sound good.  I've applied them all, and added a desktop file.

New spec file and SRPM can be found here:

http://www.kobold.org/~wart/fedora/tkcon.spec
http://www.kobold.org/~wart/fedora/tkcon-2.4-2.src.rpm
Comment 4 Dmitry Butskoy 2005-12-29 07:42:07 EST
Works good.
MUST/SHOULD items OK
APPROVED!
Comment 5 Wart 2008-07-23 02:53:57 EDT
Package Change Request
======================
Package Name: tkcon
New Branches: EL-5
Updated EPEL Owners: sergiopr
Updated EPEL CC: wart
Comment 6 Kevin Fenzi 2008-07-23 11:47:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.